<div *ngIf="data">

  <div *ngIf="txState == 'PENDING_CONFIRMATION'">

    <div class="confirm-modal-head p-4">

      <div class="flex justify-between items-center mb-4">
        <h1 mat-dialog-title>Confirm Create Pool</h1>
        <div mat-dialog-actions>
          <button mat-icon-button aria-label="Close Dialog" (click)="closeDialog()" mat-dialog-close>
            <mat-icon>close</mat-icon>
          </button>
        </div>
      </div>

      <div class="flex justify-between transaction-detail">

        <div class="flex items-center">
          <div class="asset-icon-container flex items-center mr-4">
            <img *ngIf="data.asset && data.asset.iconPath" [src]="data.asset.iconPath" appImgFallback />
            <mat-icon *ngIf="!data.asset || !data.asset.iconPath">help_outline</mat-icon>
          </div>
          <span class="text-xl mr-2">{{data.assetAmount}}</span>
        </div>

        <span>{{data.asset.ticker}}</span>
      </div>

      <div class="flex">
        <mat-icon class="to-btn-icon disabled ml-1 mb-4 text-sm">add</mat-icon>
      </div>

      <div class="flex justify-between transaction-detail">

        <div class="flex items-center">
          <div class="asset-icon-container flex items-center mr-4">
            <img *ngIf="data.cacao && data.cacao.iconPath" [src]="data.cacao.iconPath" appImgFallback />
            <mat-icon *ngIf="!data.cacao || !data.cacao.iconPath">help_outline</mat-icon>
          </div>
          <span class="text-xl mr-2">{{data.cacaoAmount}}</span>
        </div>

        <span>{{data.cacao.ticker}}</span>

      </div>

      <span class="italic text-gray-300 text-xs">Output is estimated.</span>

    </div>

    <div class="pt-8 px-8">
      <div mat-dialog-content class="confirm-modal-content">

        <div>

          <div *ngIf="data.networkFee" class="flex justify-between mb-2">
            <span class="tx-detail-label">Fees</span>
            <span>{{data.networkFee | number:"0.0-6"}} {{data.asset.chain}}</span>
          </div>

          <div *ngIf="data.cacaoFee" class="flex justify-between mb-2">
            <span class="tx-detail-label"></span>
            <span>{{data.cacaoFee | number:"0.0-2"}} CACAO</span>
          </div>

        </div>

        <button
          (click)="submitTransaction()"
          mat-flat-button
          color="primary"
          class="main-action-btn w-full">
            <span>Confirm Deposit</span>
        </button>

      </div>

    </div>

  </div>

  <app-transaction-processing-modal
    *ngIf="txState == 'SUBMITTING'"
    transactionDetail="Depositing {{data.assetAmount}} {{data.asset.ticker}} + {{data.cacaoAmount}} {{data.cacao.ticker}}"
    (closeDialog)="closeDialog()">
  </app-transaction-processing-modal>

  <app-transaction-success-modal
    *ngIf="txState === 'SUCCESS'"
    [chain]="data.asset.chain"
    [hash]="hash"
    (closeDialog)="closeDialog(true)">
  </app-transaction-success-modal>

</div>
